.\"	$NetBSD: form_field_just.3,v 1.9 2004/11/24 12:26:23 wiz Exp $
.\"
.\" Copyright (c) 2001
.\"	Brett Lymn - blymn@baea.com.au, brett_lymn@yahoo.com.au
.\"
.\" This code is donated to The NetBSD Foundation by the author.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the Author may not be used to endorse or promote
.\"    products derived from this software without specific prior written
.\"    permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd January 1, 2001
.Dt FORMS 3
.Os
.Sh NAME
.Nm field_just ,
.Nm set_field_just
.Nd form library
.Sh LIBRARY
.Lb libform
.Sh SYNOPSIS
.In form.h
.Ft int
.Fn field_just "FIELD *field"
.Ft int
.Fn set_field_just "FIELD *field" "int justification"
.Sh DESCRIPTION
Field justification is only applied to static fields, a dynamic field
will not be justified.
The default justification for a field is
NO_JUSTIFICATION.
The
.Fn field_just
will return the current justification value of the given field and the
justification may be set by calling the
.Fn set_field_just
function.
.Sh PARAMETERS
The following are the valid justifications for a field:
.Pp
.Bl -tag -width NO_JUSTIFICATION -compact
.It NO_JUSTIFICATION
No justification is to be applied to the field.
In practice, this is the same as JUSTIFY_LEFT.
.It JUSTIFY_RIGHT
The field will be right justified.
That is, the end of each line will
be butted up against the right hand side of the field.
.It JUSTIFY_LEFT
The field will be left justified.
That is, the start of each line
will be butted up against the left hand side of the field.
.It JUSTIFY_CENTER
The field will be centre justified, padding will be applied to either
end of the line to make the line centred in the field.
.El
.Sh RETURN VALUES
The functions will return one of the following error values:
.Pp
.Bl -tag -width E_UNKNOWN_COMMAND -compact
.It Er E_OK
The function was successful.
.It Er E_CURRENT
The field specified is the currently active one on the form.
.It Er E_BAD_ARGUMENT
A bad argument was passed to the function.
.El
.Sh SEE ALSO
.Xr curses 3 ,
.Xr forms 3
.Sh NOTES
The header
.Aq Pa form.h
automatically includes both
.Aq Pa curses.h
and
.Aq Pa eti.h .
